const isDevelopment = process.env.NODE_ENV === 'development'

let hostPrefix
let apiPrefix
let h2Prefix
let ydlH5Prefix

if (isDevelopment) {
  hostPrefix = 'https://testnewm.ydl.com'
  // hostPrefix = 'http://192.168.211.138'
  apiPrefix = 'https://testapi.ydl.com'
  // hostPrefix = 'https://newm-test.ydl.com' // 下云
  // apiPrefix = 'https://api-test.ydl.com' // 下云
  h2Prefix = 'https://h2.yidianling.com'
  ydlH5Prefix = 'https://testh5.ydl.com'
} else {
  hostPrefix = 'https://m.ydl.com'
  apiPrefix = 'https://api.ydl.com'
  h2Prefix = 'https://h2.yidianling.com'
  ydlH5Prefix = 'https://h5.ydl.com'
}

module.exports = {
  hostPrefix,
  apiPrefix,
  h2Prefix,
  ydlH5Prefix,
}
